### Method

# GtkSource SnippetContext set_variable

#### Declaration [src]

    void
    gtk_source_snippet_context_set_variable (
      GtkSourceSnippetContext* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets a variable within the context.

This variable may be overridden by future updates to the context.

#### Parameters

`key`

  Type: `const gchar*`

  The variable name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The value for the variable.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.